﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/main.master" EnableViewState="false" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<asp:Content ID="hd" ContentPlaceHolderID="HeadContent" runat="server">
    <title>ASP.NET Category Management Script Version 2.0</title>
</asp:Content>
<asp:Content ID="pagecontent" ContentPlaceHolderID="MC" runat="server">
    <div id="msg" runat="server">
    </div>
    <div class="main_block ui-corner-all">
        <div class="item">
            <div class="item">
                <div class="module ui-corner-all">
                    <a id="hm" class="bld" runat="server"></a>&nbsp;&gt;&nbsp;Category Listing Script
                </div>
            </div>
            <div class="item_pad">
                <div class="module ui-corner-all">
                    <div class="heading">
                        <h3 id="cmt" runat="server">
                            ASP.NET Category Management Script Version 2.0
                        </h3>
                    </div>
                    <div class="pd_5 ptext">
                        <p class="bgtext">
                            ASP.NET Category Listing script allow you to generate any level of category listing script easily just by draggin category listing user control with simple configuration settings. For more information <a href="http://www.mediasoftpro.com/aspnet-category-listing-script/" target="_blank">Click Here</a>
                        </p>
                    </div>
                </div>
            </div>
            <div class="item_pad">
                <div class="module ui-corner-all">
                    <div class="heading">
                        <h3>
                            Examples &amp; Codes
                        </h3>
                    </div>
                    <div class="pd_5 ptext">
                        <div class="ver_lstt">
                            <ul>
                                <li><a href='<%= Config.GetUrl("sdk/category/script_example_01.aspx") %>' class="bld">Load Simple List With Parent Categories Only</a></li>
                                <li><a href='<%= Config.GetUrl("sdk/category/script_example_12.aspx") %>' class="bld">Customize Category List with Css</a></li>
                                <li><a href='<%= Config.GetUrl("sdk/category/script_example_02.aspx") %>' class="bld">Generate Parent Child Navigation Listing With CSS Style</a></li>
                                <li><a href='<%= Config.GetUrl("sdk/category/script_example_03.aspx") %>' class="bld">Restrict Parents and Child Categories within Navigation</a></li>
                                <li><a href='<%= Config.GetUrl("sdk/category/script_example_04.aspx") %>' class="bld">Generate Jquery Horizontal Menu From Category Listing</a></li>
                                <li><a href='<%= Config.GetUrl("sdk/category/script_example_05.aspx") %>' class="bld">Creating Jquery Dropdown</a></li>
                                <li><a href='<%= Config.GetUrl("sdk/category/script_example_06.aspx") %>' class="bld">Multiple Column Listing (Parent Category Only)</a></li>
                                <li><a href='<%= Config.GetUrl("sdk/category/script_example_07.aspx") %>' class="bld">Advance Directory Structure Listing Example 01</a></li>
                                <li><a href='<%= Config.GetUrl("sdk/category/script_example_08.aspx") %>' class="bld">Advance Directory Structure Listing Example 02</a></li>
                                <li><a href='<%= Config.GetUrl("sdk/category/script_example_09.aspx") %>' class="bld">Advance Directory Structure Listing Example 03</a></li>
                                <li><a href='<%= Config.GetUrl("sdk/category/script_example_10.aspx") %>' class="bld">Advance Directory Structure Listing Example 04 (Restrict Childs To 3)</a></li>
                                <li><a href='<%= Config.GetUrl("sdk/category/script_example_11.aspx") %>' class="bld">Advance Directory Structure Listing Example 05 (Restrict Parents &amp; Child Categories)</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="item_pad">
                <div class="module ui-corner-all">
                    <!-- AddThis Button BEGIN -->
                    <div class="addthis_toolbox addthis_default_style addthis_32x32_style">
                        <a class="addthis_button_preferred_1"></a><a class="addthis_button_preferred_2">
                        </a><a class="addthis_button_preferred_3"></a><a class="addthis_button_preferred_4">
                        </a><a class="addthis_button_compact"></a><a class="addthis_counter addthis_bubble_style">
                        </a>
                    </div>
                    <script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=mediasoftpro"></script>
                    <!-- AddThis Button END -->
                </div>
            </div>
        </div>
    </div>
</asp:Content>
